Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Services.cpp File Reference

`#include "tao/Services.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Environment.h"`
`#include "tao/Typecode.h"`
`#include "tao/ORB_Core.h"`
`#include "Services.i"`

Include dependency graph for Services.cpp:

## Defines
#define | _CORBA_SERVICEDETAIL__TAO_SEQ_OCTET_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEOPTION_CS_
#define | _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEOPTION_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEDETAIL_CS_
#define | _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEDETAIL_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_CORBA_ServiceDetail__tao_seq_Octet (CORBA::tk_sequence, sizeof (_oc_CORBA_ServiceDetail__tao_seq_Octet), (char *) &_oc_CORBA_ServiceDetail__tao_seq_Octet, 0, sizeof (CORBA::ServiceDetail::_tao_seq_Octet))
void | operator<<= (CORBA::Any &_tao_any, const CORBA::ServiceDetail &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::ServiceDetail *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::ServiceDetail *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const CORBA::ServiceInformation &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::ServiceInformation *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::ServiceInformation *&_tao_elem)
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA_ServiceDetail::_tao_seq_Octet &_tao_sequence )
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA_ServiceDetail::_tao_seq_Octet &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA_ServiceDetail &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA_ServiceDetail &_tao_aggregate)
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA_ServiceInformation::_tao_seq_ServiceOption &_tao_sequence )
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA_ServiceInformation::_tao_seq_ServiceOption &_tao_sequence)
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA_ServiceInformation::_tao_seq_ServiceDetail &_tao_sequence )
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA_ServiceInformation::_tao_seq_ServiceDetail &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA_ServiceInformation &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA_ServiceInformation &_tao_aggregate)
## Variables
const CORBA::Long | _oc_CORBA_ServiceDetail__tao_seq_Octet []

## Define Documentation

#define _CORBA_SERVICEDETAIL__TAO_SEQ_OCTET_CS_

#define _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEDETAIL_CS_

#define _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEOPTION_CS_

#define __TAO_UNBOUNDED_SEQUENCE_CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEDETAIL_CS_

#define __TAO_UNBOUNDED_SEQUENCE_CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEOPTION_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_CORBA_ServiceDetail__tao_seq_Octet ( | CORBA::tk_sequence,
| sizeof(_oc_CORBA_ServiceDetail__tao_seq_Octet),
| (char *)& _oc_CORBA_ServiceDetail__tao_seq_Octet,
| 0,
| sizeof(CORBA::ServiceDetail::_tao_seq_Octet) )`[static]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA_ServiceInformation & _tao_aggregate )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA_ServiceInformation::_tao_seq_ServiceDetail & _tao_sequence )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA_ServiceInformation::_tao_seq_ServiceOption & _tao_sequence )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA_ServiceDetail & _tao_aggregate )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA_ServiceDetail::_tao_seq_Octet & _tao_sequence )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA::ServiceInformation * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const CORBA::ServiceInformation & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA::ServiceDetail * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const CORBA::ServiceDetail & _tao_elem )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA_ServiceInformation & _tao_aggregate )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA_ServiceInformation::_tao_seq_ServiceDetail & _tao_sequence )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA_ServiceInformation::_tao_seq_ServiceOption & _tao_sequence )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA_ServiceDetail & _tao_aggregate )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA_ServiceDetail::_tao_seq_Octet & _tao_sequence )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA::ServiceInformation *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA::ServiceDetail *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_CORBA_ServiceDetail__tao_seq_Octet[]`[static]`

| Initializer:
    {
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_octet,

      0,
    }